#!/bin/bash

echo "Waiting for postgres..."

while ! nc -vz $POSTGRES_HOST $POSTGRES_PORT; do
	sleep 0.1
done

echo "PostgreSQL started"

python manage.py migrate

python manage.py createsuperuser \
	--noinput \
	--username $DJANGO_SUPERUSER_USERNAME \
	--email $DJANGO_SUPERUSER_EMAIL

python -m daphne -b 0.0.0.0 unicorn_post.asgi:application
