import paho.mqtt.client as mq
import unicorn_post.settings as settings


mqtt = mq.Client("restMQTT")
if "USERNAME" in settings.MQTT and "PASSWORD" in settings.MQTT:
    mqtt.username_pw_set(settings.MQTT["USERNAME"], settings.MQTT["PASSWORD"])


def publish(topic, payload):
    mqtt.connect(settings.MQTT["HOST"], int(settings.MQTT["PORT"]), 15)
    mqtt.publish(topic, payload)
